searchNodes=[{"doc":"Get, shuffle and deal a deck of playing cards of any size (from 4 to 52 cards).","ref":"Deck.html","title":"Deck","type":"module"},{"doc":"&quot;Burns&quot; n_cards in the deck and returns the rest of the deck. Example iex&gt; Deck.burn(Deck.new(8), 6) [&quot;Ah&quot;, &quot;As&quot;]","ref":"Deck.html#burn/2","title":"Deck.burn/2","type":"function"},{"doc":"Returns n_cards from the deck and the rest of the deck. Example iex&gt; Deck.deal(Deck.new(8), 2) {[&quot;Kc&quot;, &quot;Kd&quot;], [&quot;Kh&quot;, &quot;Ks&quot;, &quot;Ac&quot;, &quot;Ad&quot;, &quot;Ah&quot;, &quot;As&quot;]}","ref":"Deck.html#deal/2","title":"Deck.deal/2","type":"function"},{"doc":"Returns a full deck of cards (52 cards) ordered by rank. Examples iex&gt; Deck.new() [&quot;2c&quot;, &quot;2d&quot;, &quot;2h&quot;, &quot;2s&quot;, &quot;3c&quot;, &quot;3d&quot;, &quot;3h&quot;, &quot;3s&quot;, &quot;4c&quot;, &quot;4d&quot;, &quot;4h&quot;, &quot;4s&quot;, &quot;5c&quot;, &quot;5d&quot;, &quot;5h&quot;, &quot;5s&quot;, &quot;6c&quot;, &quot;6d&quot;, &quot;6h&quot;, &quot;6s&quot;, &quot;7c&quot;, &quot;7d&quot;, &quot;7h&quot;, &quot;7s&quot;, &quot;8c&quot;, &quot;8d&quot;, &quot;8h&quot;, &quot;8s&quot;, &quot;9c&quot;, &quot;9d&quot;, &quot;9h&quot;, &quot;9s&quot;, &quot;Tc&quot;, &quot;Td&quot;, &quot;Th&quot;, &quot;Ts&quot;, &quot;Jc&quot;, &quot;Jd&quot;, &quot;Jh&quot;, &quot;Js&quot;, &quot;Qc&quot;, &quot;Qd&quot;, &quot;Qh&quot;, &quot;Qs&quot;, &quot;Kc&quot;, &quot;Kd&quot;, &quot;Kh&quot;, &quot;Ks&quot;, &quot;Ac&quot;, &quot;Ad&quot;, &quot;Ah&quot;, &quot;As&quot;]","ref":"Deck.html#new/0","title":"Deck.new/0","type":"function"},{"doc":"Returns a deck containing high n_cards ordered by rank. n_cards must be less than or equal 52 and must be divisible by 4. Examples iex&gt; Deck.new(12) [&quot;Qc&quot;, &quot;Qd&quot;, &quot;Qh&quot;, &quot;Qs&quot;, &quot;Kc&quot;, &quot;Kd&quot;, &quot;Kh&quot;, &quot;Ks&quot;, &quot;Ac&quot;, &quot;Ad&quot;, &quot;Ah&quot;, &quot;As&quot;]","ref":"Deck.html#new/1","title":"Deck.new/1","type":"function"},{"doc":"Returns a deck containing low n_cards ordered by rank. n_cards must be less than or equal 52 and must be divisible by 4. Examples iex&gt; Deck.new_low(12) [&quot;2c&quot;, &quot;2d&quot;, &quot;2h&quot;, &quot;2s&quot;, &quot;3c&quot;, &quot;3d&quot;, &quot;3h&quot;, &quot;3s&quot;, &quot;4c&quot;, &quot;4d&quot;, &quot;4h&quot;, &quot;4s&quot;]","ref":"Deck.html#new_low/1","title":"Deck.new_low/1","type":"function"},{"doc":"Shuffles the deck using the modern version of the Fisher–Yates shuffle algorithm. Examples iex&gt; deck = Deck.new() ...&gt; shuffled_deck = Deck.shuffle(deck) ...&gt; shuffled_deck != deck true iex&gt; Deck.shuffle(shuffled_deck) != Deck.shuffle(shuffled_deck) true","ref":"Deck.html#shuffle/1","title":"Deck.shuffle/1","type":"function"},{"doc":"Returns a full shuffled deck of cards (52 cards). Examples iex&gt; Deck.shuffled() != Deck.new() true","ref":"Deck.html#shuffled/0","title":"Deck.shuffled/0","type":"function"},{"doc":"Returns a shuffled deck containing high n_cards. n_cards must be less than or equal 52 and must be divisible by 4. Examples iex&gt; Deck.shuffled(36) != Deck.new(36) true","ref":"Deck.html#shuffled/1","title":"Deck.shuffled/1","type":"function"},{"doc":"Returns a shuffled deck containing low n_cards. n_cards must be less than or equal 52 and must be divisible by 4. Examples iex&gt; Deck.shuffled_low(36) != Deck.new_low(36) true","ref":"Deck.html#shuffled_low/1","title":"Deck.shuffled_low/1","type":"function"},{"doc":"Returns number of cards left in the deck. Example iex&gt; Deck.size(Deck.new(12)) 12","ref":"Deck.html#size/1","title":"Deck.size/1","type":"function"}]